AC(8)

NAME
ac - display connect time accounting

SYNOPSIS
ac [-d | -p] [-t tty] [-w file] [users ...]

DESCRIPTION
If the file /var/log/wtmp exists, a record of individual login and logout times are written to it by login(1) and init(8), respectively. The program ac examines these records and writes the accumulated connect time for all logins to the standard output.

Options available:

-d  Display the connect times in 24 hour chunks.

-p  Display individual user totals.

-t tty
    Only do accounting logins on certain ttys. The tty specification can start with ‘’! to indicate not this tty and end with ‘*’ to indicate all similarly named ttys. Multiple -t flags may be specified.

-w file
    Read raw connect time data from file instead of the default file /var/log/wtmp.

users ...
    Display totals for the given individuals only.

If no arguments are given, ac displays the total amount of login time for all active accounts on the system.

The default wtmp file is an infinitely increasing file unless frequently truncated. This is normally done by the daily daemon scripts scheduled by cron(8), which rename and rotate the wtmp files before truncating them (and keep about a week's worth on hand). No login times are collected, however, if the file does not exist.

For example,

    ac -p -t "ttyd*"  modems
    ac -p -t "!ttyd*"  other

allows times recorded in modems to be charged out at a different rate than other.

The ac utility exits 0 on success, and 0 if a fatal error occurs.

FILES
/var/log/wtmp
    connect time accounting file
/var/log/wtmp.[0-7]
    rotated files

SEE ALSO
login(1), utmp(5), init(8), sa(8)

HISTORY
An ac command appeared in AT&T UNIX. This version of ac was written for NetBSD 1.0 from the specification provided by various systems' manual pages.